{% extends 'app_lmgas/base.html' %}
{% load static %}
{% block title%}LMGAS - Carrito de Compra{% endblock%}
{% block contenido %}

<div class="container" style="margin-top: 50px;">
        <h6 id="direccion"><a href="{% url 'home' %}">inicio</a> > <a href="{% url 'Carrito' %}">carrito</a></h6>
        <h3>Carro de compra</h3>
        <div class="row">
            <div class="col-sm-12">      
            {% if productos %}
            
                <table class="table table-hover table-responsive-sm table-bordered">
                    <thead>
                        <tr>
                            <th>Código</th>
                            <th>Nombre del producto</th>
                            <th>Cantidad</th>
                            <th>Precio por unidad</th>
                            <th>Total</th>
                            <th></th>                       
                        </tr>
                    </thead>
                    <tbody>
                    {% for producto in productos %}
                    
                        <tr>
                            <td>{{producto.id_producto.id}}</td>
                            <td>{{producto.id_producto.descripcion}}</td>
                            <td>
                                <form>
                                    <div class="form-group row ml-1 d-inline-flex">
                                        <div class="col-xs-2 w-50">
                                            <input class="form-control" id="ex1" type="text" value="{{producto.cantidad}}" name="ex1" min="1">
                                        </div>
                                        <div class="btn-group ml-1">
                                            <a class="btn btn-small btn-primary" href="{% url 'AumentarCarrito' producto.id %}"><ion-icon name="add-outline"></ion-icon></a>
                                            <a class="btn btn-small btn-danger" href="{% url 'DisminuirCarrito' producto.id %}"><ion-icon name="remove-outline"></ion-icon></a>        
                                        </div> 
                                </form>
                            </td>
                            <td>{{producto.id_producto.valor}}</td>
                            <td>{{producto.obtenerTotal}}</td>
                            <td><a class="btn btn-small btn-warning ml-3" href="{% url 'EliminarCarrito' producto.id %}">Eliminar</a></td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                Tu carrito de compras esta vacio!!    
            {% endif %}
            </div>

            <br>
            <div class="col-sm-8"></div>
            <div class="col-sm-4">
            {% if productos %}
            
                <table class="table table-hover table-responsive-sm table-bordered">

                    <tbody>
                        <tr>
                            <td>Subtotal</td>
                            <td class="text-right">{{total}}</td>
                        </tr>
                        <tr>
                            <td>Total</td>
                            <td class="text-right">{{total}}</td>
                        </tr>
                    </tbody>
                </table>
            {% endif %}
            </div>
            
            

            <div class="col-sm-12">
                <div class="alert alert-primary mt-2" role="alert">
                    <ion-icon name="alert-circle-outline"></ion-icon> Los descuentos por medios de pago son efectuados
                    al final de la compra.
                </div>
            </div>
            {% if productos %}
            <div class="col-sm-10">
                <a href="{% url 'home' %}"><button type="button" class="btn btn-primary">Seguir comprando</button> </a>
            </div>
            
            <div class="col-sm-2">
                <a href="{% url 'Despacho' %}"><button type="button" class="btn btn-success btn-block"
                        onclick="validarCarro()">Pagar</button> </a>
            </div>
            {% else %}
                <div class="col-sm-10">
                    <a href="{% url 'home' %}"><button type="button" class="btn btn-primary mb-5" >Ir a comprar</button> </a>
                </div>
            {% endif %}
        </div>
        
        

    </div>


{% endblock contenido %}